aboutsummaryrefslogtreecommitdiff
path: root/network/phppgadmin
diff options
context:
space:
mode:
authorMichel A. Begue <mab974@misouk.com>2023-03-11 20:19:06 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-03-11 20:19:06 +0700
commit050d496a79111f06a36c3de636ffa831f5952e7d (patch)
tree7e792d753f9c53701715df7a57165138d58a8a82 /network/phppgadmin
parent7d5c936ad2da7d6111e71c3e8bbc998231af0fa9 (diff)
network/phppgadmin: Added (a php webapp for Postgresql).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/phppgadmin')
-rw-r--r--network/phppgadmin/README12
-rw-r--r--network/phppgadmin/doinst.sh14
-rw-r--r--network/phppgadmin/http-pgadmin.conf17
-rw-r--r--network/phppgadmin/phppgadmin.SlackBuild91
-rw-r--r--network/phppgadmin/phppgadmin.info10
-rw-r--r--network/phppgadmin/slack-desc19
6 files changed, 163 insertions, 0 deletions
diff --git a/network/phppgadmin/README b/network/phppgadmin/README
new file mode 100644
index 0000000000000..e081f4f0acb6c
--- /dev/null
+++ b/network/phppgadmin/README
@@ -0,0 +1,12 @@
+PhpPgAdmin is a Web-based application written in PHP that can manage one
+or more PostgreSQL databases. It is 100% compatible with PostgreSQL. It
+performs all the standard Data Definition Language (DDL) and Data
+Manipulation Language (DML) statements. It can back up and restore an
+entire cluster, and can manage a Slony replication cluster, all in an
+easy-to-understand interface.
+
+Of course a Postgresql server must be accessible, mod_php enabled and
+package 'php-pgsql' installed.
+
+Please adapt 'config.inc.php', 'phppgadmin.conf' for apache, ...
+to your needs.
diff --git a/network/phppgadmin/doinst.sh b/network/phppgadmin/doinst.sh
new file mode 100644
index 0000000000000..9e17dcbecdfd4
--- /dev/null
+++ b/network/phppgadmin/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/httpd/conf.d/phppgadmin.conf.new
diff --git a/network/phppgadmin/http-pgadmin.conf b/network/phppgadmin/http-pgadmin.conf
new file mode 100644
index 0000000000000..1bd0381933ec5
--- /dev/null
+++ b/network/phppgadmin/http-pgadmin.conf
@@ -0,0 +1,17 @@
+Alias /phppgadmin /usr/share/phppgadmin/
+
+<Directory /usr/share/phppgadmin>
+# SSLRequireSSL
+ Options FollowSymlinks
+ AllowOverride None
+ DirectoryIndex index.php
+ Require ip 127.0.0.1
+</Directory>
+
+<Directory /usr/share/phppgadmin/conf>
+ Require all denied
+</Directory>
+
+<Directory /usr/share/phppgadmin/libraries>
+ Require all denied
+</Directory>
diff --git a/network/phppgadmin/phppgadmin.SlackBuild b/network/phppgadmin/phppgadmin.SlackBuild
new file mode 100644
index 0000000000000..86bd57a71b792
--- /dev/null
+++ b/network/phppgadmin/phppgadmin.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for phppgadmin
+
+# Copyright 2023 Michel A. Begue <mab974@misouk.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM='phppgadmin'
+VERSION=${VERSION:-7.13.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+SRCNAM=phpPgAdmin
+
+DOCROOT=${DOCROOT:-/usr/share}
+PHPUSER=${PHPUSER:-root}
+PHPGROUP=${PHPGROUP:-apache}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG$DOCROOT
+cp -a $TMP/$SRCNAM-$VERSION $PKG$DOCROOT
+( cd $PKG$DOCROOT; ln -s ./$SRCNAM-$VERSION ./$PRGNAM )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ [A-Z]* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/httpd/conf.d
+cp -a $CWD/http-pgadmin.conf $PKG/etc/httpd/conf.d/phppgadmin.conf.new
+
+chown -R $PHPUSER:$PHPGROUP $PKG$DOCROOT/$SRCNAM-$VERSION
+chmod -R o-rwx $PKG$DOCROOT/$SRCNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-${BUILD}$TAG.$PKGTYPE
diff --git a/network/phppgadmin/phppgadmin.info b/network/phppgadmin/phppgadmin.info
new file mode 100644
index 0000000000000..cdff8b8057770
--- /dev/null
+++ b/network/phppgadmin/phppgadmin.info
@@ -0,0 +1,10 @@
+PRGNAM="phppgadmin"
+VERSION="7.13.0"
+HOMEPAGE="https://github.com/phppgadmin/phppgadmin"
+DOWNLOAD="https://github.com/phppgadmin/phppgadmin/releases/download/REL_7-13-0/phpPgAdmin-7.13.0.tar.gz"
+MD5SUM="8a38dca6bd0bcdc9481c88f1ac0c0f80"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="postgresql php-pgsql"
+MAINTAINER="Michel A. Begue"
+EMAIL="mab974@misouk.com"
diff --git a/network/phppgadmin/slack-desc b/network/phppgadmin/slack-desc
new file mode 100644
index 0000000000000..9c1fb25d46e23
--- /dev/null
+++ b/network/phppgadmin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+phppgadmin: phppgadmin (a php webapp for Postgresql)
+phppgadmin:
+phppgadmin: phpPgAdmin is a Web-based application written in PHP that can manage
+phppgadmin: one or more PostgreSQL databases. It is 100% compatible with
+phppgadmin: PostgreSQL. It performs all the standard Data Definition Language
+phppgadmin: (DDL) and Data Manipulation Language (DML) statements. It can back up
+phppgadmin: and restore an entire cluster, and can manage a Slony replication
+phppgadmin: cluster, all in an easy-to-understand interface.
+phppgadmin:
+phppgadmin:
+phppgadmin: